<div class="card mx-5 my-5 py-5 px-5">
  <div class="row">
    <div class="col-lg-3">
      <div class="card card-body mx-3">
        <button type="button" class="btn btn-success" data-toggle="modal" data-target="#categoryModal">
          <i class="fas fa-plus mr-3"></i> Create new category</button>
        <div class="card mt-5 category" *ngIf="categories?.length > 0">
          <h5 class="card-header">Categories</h5>
          <div class="card-body">
            <div class="card px-2 py-2 m-2"
                 *ngFor="let cat of categories"
                 [class.is-active]="(currentCategory$ | async) === cat.categoryId"
                 (click)="getCategoryPictures(cat.categoryId)"
            >
              <div class="d-flex align-items-center w-100">
                <span class="w-75">{{cat.name}}</span>
                <div class="btn-group w-25">
                  <button type="button" class="btn dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="fas fa-edit"></i>
                  </button>
                  <div class="dropdown-menu">
                    <a class="dropdown-item" data-toggle="modal" data-target="#categoryModal"
                       (click)="category.name = cat.name; isEditing = true">Edit
                    </a>
                    <div class="dropdown-divider"></div>
                    <a class="dropdown-item danger" (click)="deleteCategory(cat.categoryId)">Delete</a>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="col-lg-9 border px-3 py-3" *ngIf="categories?.length > 0">
      <div *ngIf="currentPictures.length > 0; else add" style="height: 100%">
        <app-image-selector
          [pictures]="currentPictures"
          [disabled]="true"
          [showTrash]="false"
          [removeBorder]="true"
          (value)="deletePicture($event)"
        ></app-image-selector>
      </div>
      <ng-template #add>
        <a class="btn btn-success" [routerLink]="['../category/upload', {cId: (currentCategory$ | async)}]">Add new image</a>
      </ng-template>
    </div>
  </div>
</div>

<!-- Modal -->
<div class="modal fade" id="categoryModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Add new category</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <form>
          <div class="form-group">
            <label for="name">Name</label>
            <input type="email" class="form-control mt-2" id="name" name="category" placeholder="Enter category name" [(ngModel)]="category.name">
          </div>
        </form>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" id="close">Close</button>
        <button type="button" class="btn btn-primary" [disabled]="category.name === ''" *ngIf="!isEditing" (click)="addCategory()">ADD</button>
        <button type="button" class="btn btn-primary" [disabled]="category.name === ''" *ngIf="isEditing" (click)="updateCategory()">Update</button>
      </div>
    </div>
  </div>
</div>
